Page MenuHomePhabricator

New Pages Feed: "User" space has disappeared from namespace dropdown
Closed, ResolvedPublic

Description

In production in English Wikipedia, the "User" space is no longer an option in the New Pages Feed.

In the image below, the dropdown used to have both "Article" and "User", but now only has "Article".

@MusikAnimal points out that this change occurred in d350348d and that it used to go off wgPageTriageNamespaces.

It is thought this is the same thing that caused T200821.

Event Timeline

MMiller_WMF triaged this task as Unbreak Now! priority.Jul 31 2018, 6:03 PM
MMiller_WMF created this task.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJul 31 2018, 6:03 PM

Change 449517 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449517

Change 449517 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449517

Change 449692 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.14] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449692

Change 449693 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.15] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449693

Change 449692 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.14] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449692

Change 449693 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.15] Fix namespaces shown in NPP filters

https://gerrit.wikimedia.org/r/449693

Mentioned in SAL (#wikimedia-operations) [2018-08-01T16:36:15Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/PageTriage/modules/ext.pageTriage.views.list/ext.pageTriage.listControlNav.js: SWAT: [[gerrit:449693|Fix namespaces shown in NPP filters]] T200826 T200821 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2018-08-01T16:38:17Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.14/extensions/PageTriage/modules/ext.pageTriage.views.list/ext.pageTriage.listControlNav.js: SWAT: [[gerrit:449692|Fix namespaces shown in NPP filters]] T200826 T200821 (duration: 00m 55s)

Etonkovidova closed this task as Resolved.Aug 2 2018, 10:06 PM